[package]
name = "ygg_driver_pci"
version = "0.1.0"
edition = "2024"
authors = ["Mark Poliakov <mark@alnyan.me>"]

[dependencies]
yggdrasil-abi.workspace = true
device-api = { workspace = true, features = ["derive"] }
libk-mm.workspace = true
libk-util.workspace = true
libk.workspace = true

log.workspace = true
bitflags.workspace = true
tock-registers.workspace = true

[target.'cfg(target_arch = "x86_64")'.dependencies]
ygg_driver_acpi.path = "../../acpi"
acpi.workspace = true
kernel-arch-x86.workspace = true

[lints]
workspace = true
